Skip to content

Get user

Request

This endpoint allows you to retrieve a user by their ID.

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
user_idintegerrequired

The ID of the user.

GET
/v1/businesses/{client_id}/users/{user_id}
curl -i -X GET \
  'https://public.letsweel.com/v1/businesses/123/users/{user_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
idinteger

The ID of the user.

Example:123
first_namestring

The first name of the user.

Example:"John"
last_namestring

The last name of the user.

Example:"Doe"
namestring

The full name of the user or the display name if the user has set one.

Example:"John Doe"
emailstring, (email)

The email of the user.

Example:"john.doe@example.com"
rolestring

The role of the user.

Example:"Team Member"
role_idstring, (uuid)

The ID of the user's role.

Example:"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
is_deletedboolean

Whether the user is deleted.

Example:false
createdstring, (date-time)

The date and time when the user was created in UTC.

Example:"2024-01-01T00:00:00Z"
updatedstring, (date-time)

The date and time when the user was last updated in UTC.

Example:"2024-01-01T00:00:00Z"
payment_typesArray of strings(PaymentType)

The payment types the user can transact with.

Items Enum:"bills""cards""reimbursements"
Example:
[ "cards" ]
out_of_office_modeboolean

Whether the user is out of office.

Example:true
out_of_office_start_datestring or null, (date)

First day of the out-of-office period (inclusive).

Example:"2026-06-01"
out_of_office_end_datestring or null, (date)

Last day of the out-of-office period (inclusive).

Example:"2026-06-15"
delegate_approverinteger or null

The user ID to delegate approvals to while out of office.

Example:789
expense_delegateArray of integers or null

The user IDs of this user's expense assistants (who can act on their expenses). Null if the business does not have the expense assistant feature.

Example:
[ 456, 789 ]
Response
{ "id": 123, "first_name": "John", "last_name": "Doe", "name": "John Doe", "email": "john.doe@example.com", "role": "Team Member", "role_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "is_deleted": false, "created": "2024-01-01T00:00:00Z", "updated": "2024-01-01T00:00:00Z", "payment_types": [ "cards" ], "out_of_office_mode": true, "out_of_office_start_date": "2026-06-01", "out_of_office_end_date": "2026-06-15", "delegate_approver": 789, "expense_delegate": [ 456, 789 ] }